# (NEW!) Update Metadata Attribute Partially update an existing metadata attribute. Only fields included in the request body will be updated — omitted fields remain unchanged. Fields that cannot be updated: attributeType, vocabularyId, searchField. Business Rules (enforced on update): - isRequired: true and isSensitive: true cannot both be set. - isFacetable: true requires isSearchable: true. - isRequired: true or isTypeahead: true cannot have technicalMetadataMapping values. - maxCharacterLength cannot exceed 250 for textbox or 10,000 for textarea. - Textarea attributes cannot be set to isFacetable: true or isTypeahead: true. - isMultiSelect can be changed from false to true, but NOT from true to false. The user submitting the request must have the Metadata Management admin privilege. Endpoint: PATCH /metadata/attribute/{id} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) The unique ID of the metadata attribute to update. Example: "52ce0235-02cc-46f6-8bdb-05238c76bf83" ## Response 400 fields (application/json): - `message` (string) - `detail` (string) ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string) ## Response 404 fields (application/json): - `message` (string) - `detail` (string)